2003-11-26  Jackson Harper <jackson@ximian.com>

	* TabDrawMode.cs: OwnerDrawFixed (fix typo).
	
2003-11-12 Jordi Mas i Hernāndez <jmas@softcatala.org>
	* FolderBrowserDialog.cs, win32Enums.cs,  win32Interfaces.cs, win32Structs.cs, win32functions.cs	
	FolderBrowserDialog implementation. 

2003-11-11 Ben Maurer  <bmaurer@users.sourceforge.net>
	* LinkLabel.cs, InputLanguageChangedEventArgs.cs: recursion!

2003-10-27 Jordi Mas i Hernāndez <jmas@softcatala.org>
	* ListListView.cs, ListViewItem.cs, win32Enums.cs
	More work on the ListView implementation (bug fixing, new methods and properties)

2003-10-20 Jordi Mas i Hernāndez <jmas@softcatala.org>
	* Application.cs added a default form to show unhandled exceptions 
	
2003-10-20 Jordi Mas i Hernāndez <jmas@softcatala.org>
	* Initial PrintDialog.cs implementation
	
2003-10-16 Jordi Mas i Hernāndez <jmas@softcatala.org>
	* FileDialog uses the PlaceToolBar and allows resizing

2003-10-15 Jordi Mas i Hernāndez <jmas@softcatala.org>
	* Implemented SaveFileDialog.cs
	
2003-10-14 Jordi Mas i Hernāndez <jmas@softcatala.org>
	* Fixes CommonDialog.cs to work with windowless containers

2003-09-03  Dennis Hayes <dennish@raytek.com>

	* GridColumnStylesCollection.cs
	* ImageList.cs
	* ImageListStreamer.cs
	* GridItem.cs
	* Help.cs
	* ListBox.cs
	* ListView.cs

	*signiture corrections

2003-10-01 Jordi Mas i Hernāndez <jmas@softcatala.org>
 	* Initial ListView control implementation

2003-09-29  Dennis Hayes <dennish@raytek.com>

	* HelpEventHandler.cs
	* GridTableStylesCollection.cs
	* HelpProvider.cs
	* Help.cs	

	*signiture corrections

2003-09-28  Dennis Hayes <dennish@raytek.com>
	* ControlBindingsCollection.cs
	* ErrorProvider.cs
	* DataGridBoolColumn.cs
	* DataGridTextBoxColumn.cs
	* ControlPaint.cs
	* FeatureSupport.cs
	* FileDialog.cs
	* OpenFileDialog.cs
	* Form.cs
	* FontDialog.cs

	*signiture corrections

2003-09-28  Dennis Hayes <dennish@raytek.com>
	* FileDialog.cs
	* FolderBrowserDialog.cs
	* GridItemCollection.cs
	* FontDialog.cs
	* RichTextBox.cs
	* GridColumnStylesCollection.cs
	* Label.cs
	* GroupBox.cs
	* Help.cs

	*signiture corrections

2003-09-28  Dennis Hayes <dennish@raytek.com>

	* DataGridColumnStyle.cs
	* DataGridTableStyle.cs
	* DataGridTextBoxColumn.cs
	* DateTimePicker.cs
	* TextBox.cs
	* DomainUpDown.cs
	* UpDownBase.cs
	* ErrorProvider.cs
	* FeatureSupport.cs

	*signiture corrections

2003-09-27  Dennis Hayes <dennish@raytek.com>
	* BindingsCollection.cs
	* ControlBindingsCollection.cs
	* CurrencyManager.cs
	* ControlPaint.cs
	* Menu.cs
	* DataGrid.cs
	* DataGridBoolColumn.cs

	*signiture corrections

2003-09-27  Dennis Hayes <dennish@raytek.com>
	* Application.cs
	* Cursor.cs
	* Clipboard.cs
	* CurrencyManager.cs
	* DataFormats.cs
	* GridTableStylesCollection.cs
	* GridColumnStylesCollection.cs
	* ControlPaint.cs
	* GroupBox.cs
	* Help.cs
	* SystemInformation.cs
	* OSFeature.cs
	* MessageBox.cs
	* ItemChangedEventArgs.cs
	* InputLanguageCollection.cs
	* InputLanguage.cs
	* Cursors.cs
	* SendKeys.cs
	
	* Signiture fixes. Mostly adding private 
	* construtors to prevent auto generation of default public constructors.

2003-09-21 Alexandre Pigolkine <pigolkine@gmx.de>
 	* small fix to FontDialog

2003-09-19 Jordi Mas i Hernāndez <jmas@softcatala.org>
 	* Initial FontDialog Box implementation 
 
2003-09-13  Duncan Mak  <duncan@ximian.com>

	* TabPage.cs (constructor): added a constructor for constructing
	tab pages with a title. Patch from Jonathan Hogg
	<jonathan@onegoodidea.com>.

2003-09-01  Dennis Hayes <dennish@raytek.com>
	* Application.cs
	* DataGrid.cs
	* ControlPaint.cs
	* Control.cs
	* Label.cs
	* KeyEventArgs.cs
	* ButtonBase.cs
	* CheckBox.cs
	* CheckedListBox.cs
	* Form.cs
	* ScrollableControl.cs
	* TextBoxBase.cs
	* ScrollBar.cs
	* ListBox.cs
	* ListControl.cs
	* ComboBox.cs

	* Signiture fixes. Most notably marked as protected internal
	* some protected implmentation in Control.cs

2003-08-31  Jerome Laban <jlaban@wanadoo.fr>
	* Timer.cs: Fixed Enabled property bebavior.

2003-08-30  Alexandre Pigolkine <pigolkine@gmx.de>
	* Screen.cs 		small fixes and few methods implemented

2003-08-26  Alexandre Pigolkine <pigolkine@gmx.de>
	* RadioButton.cs		painting code and click logic updated 

2003-08-24  Alexandre Pigolkine <pigolkine@gmx.de>
	* CheckBox.cs		modified to be compatible with specification	

2003-08-24  Duncan Mak  <duncan@ximian.com>

	* ListControl.cs: Indentation, coding style fixes.
	
2003-08-24  Duncan Mak  <duncan@ximian.com>

	Patches from Brian Takita <brian.takita@runbox.com>

	* GroupBox.cs (OnPaintBackground): Commented out.
	* ListControl.cs (DataSource): Fixed visibility of property and
	field. 
	* MonthCalander.cs: Should match Specs better.

2003-08-24  Alexandre Pigolkine <pigolkine@gmx.de>
	* ControlPaint.cs		DrawRadioButton and DrawCheckBox improved

2003-08-22  Alexandre Pigolkine <pigolkine@gmx.de>
	* CheckedListBox.cs
				new keyword added to avoid warnings - Brian Takita
				<brian.takita@runbox.com>
				
	* ComboBox.cs				modified SetBoundsCore to keep correct value for Height 
	* Control.cs				avoid Control creation in Enabled property 

2003-08-22  Alexandre Pigolkine <pigolkine@gmx.de>
	* Button.cs
	* ButtonBase.cs
	* CheckBox.cs
	* RadioButton.cs
				modified to be compatible with specification
	
2003-08-22  Alexandre Pigolkine <pigolkine@gmx.de>

	* ComboBox.cs
	* Control.cs		modofications for ComboBox sample

2003-08-22  Duncan Mak  <duncan@ximian.com>

	* ListControl.cs (DataSource): Implementation by Brian Takita
	<brian.takita@runbox.com>.

2003-08-12 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* MenuItem.cs : added missing properties, so menu sample app can be compiled

2003-08-11 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs : MouseButtons, PointToClient, PointToScreen were implemented.
			removed unnecessary check from UpdateBounds
	* Panel.cs : ability to change BorderStyle at runtime

2003-08-11 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* TreeView.cs
	* TreeNode.cs
	* TreeNodeCollection.cs
	* win32functions.cs : more implementation added
	* button.cs : fix method signature

2003-08-08 Dennis Hayes <dennish@raytek.com>
	* Control.cs
	* MonthCalander.cs
	* Signiture corections.
		* implmentation stuff changed to internal
		* event "e" params names changed to "pevent" type names

2003-08-03 Alexandre Pigolkine <pigolkine@gmx.de>
	* CheckBox.cs			12x12 checkmark dimensions for a moment
	* ControlPaint.cs		DrawRadioButton implemented
	* RadioButton.cs		painting is in OnPaint

2003-08-02 Alexandre Pigolkine <pigolkine@gmx.de>
	* CheckBox.cs			painting in OnPaint implemented
	* CheckedListBox.cs		changes to painting code
	* Button.cs				code cleanup
	* Control.cs			call to subclassed control can be controlled by mask
	* Message.cs			helper properties
	* win32Enums.cs			new values

2003-08-01 Alexandre Pigolkine <pigolkine@gmx.de>
	* ControlPaint.cs		DrawStringDisabled changed
	* Label.cs				painting moved inside OnPaint function
	* Button.cs				disposing Graphics in OnPaint
	* win32functions.cs		StringFormat2DrawTextFormat added

2003-07-31 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* TreeView.cs
	* TreeNode.cs
	* TreeNodeCollection.cs
	* win32enums.cs
	* win32functions.cs : more implementation added

2003-07-31 Alexandre Pigolkine <pigolkine@gmx.de>
	* Control.cs : do not keep oldBounds if LAYOUT_SUSPENDED is true, 
					call OnMouseDown/Up functions
	* Button.cs
	* ButtonBase.cs		painting moved inside OnPaint function
	* NativeWindow.cs	(commented) debug output added

2003-07-31 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs : anchoring algorithm was fixed to avoid inaccuracies caused by rounding
	* TextBoxBase.cs : set FixedHeight style for single line edit boxes

2003-07-30 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* TextBox.cs : ScrollBars, AcceptsReturn, CharacterCasing properties were implemented

2003-07-29 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* TextBoxBase.cs
	* TextBox.cs
	* Control.cs : BackColor, ForeColor, PasswordChar for edit boxes

2003-07-28  Miguel de Icaza  <miguel@ximian.com>

	* NativeWindow.cs: Remove debugigng messages.

	* Control.cs: Remove debugging messages.

	* Label.cs: Use the border style.

	* win32functions.cs: Set the default to WineLib now on Linux.

2003-07-23  Miguel de Icaza  <miguel@ximian.com>

	* win32functions.cs: Move functions that do not exist in WineLib
	over to Win32_Wineless, so we do not trigger the warning messages
	until a function tries to use them.

	Win32() constructor: Set a hint on the appdomain that we would
	prefer to have the System.Drawing API use the Win32 implementation
	of the API.
	
	* *.cs: Updated sources to use this.

2003-07-16 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* ColorDialog.cs : implemented
	* win32functions.cs			
	* win32enums.cs
	* win32structs.cs : functions, flags and structs for ColorDialog

2003-07-01 Alexandre Pigolkine <pigolkine@gmx.de>
	* win32Structs.cs			some fields cannot be marshaled
								OFNOTIFY structure simplified
	* FileDialog.cs		
	* win32functions.cs			
			call wine_get_unix_filename from FileOpen dialog
				
	* win32functions.cs		WineLib library name changed
	
	* NativeWindow.cs	CLIENTCREATESTRUCT parameter for MDI 
				Aleksey Ryabchuk <ryabchuk@yahoo.com>

2003-06-30 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Form.cs : TopLevel, AcceptButton, CancelButton
	* Application.cs : allow keyboard messages in modal forms
	* Control.cs : basic impl. of GetTopLevel, SetTopLevel

2003-06-30 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Cursors.cs : VSplit, HSplit cursors
	* Form.cs: WindowState ( not finished ), changes to Form.Close
	* Splitter.cs, Toolbar.cs : started implementation

2003-06-26 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* TreeNode.cs
	* TreeNodeCollection.cs
	* TreeView.cs : more implementation added

2003-06-24 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* TreeNode.cs
	* TreeNodeCollection.cs
	* TreeView.cs : more implementation added

2003-06-12 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Menu.cs
	* ContextMenu.cs : create context menu using CreatePopupMenu function

2003-06-12 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* TreeNode.cs
	* TreeNodeCollection.cs
	* TreeView.cs
	* win32functions.cs : started impl. of TreeView control

2003-06-12 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs : don't do anything if Anchor is set to default value
	* SystemInformation.cs : return some system metrics
	* UserControl.cs : default size impl.

2003-06-11 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* ContextMenu.cs : SourceControl, Show method
	* Control.cs : ContextMenu, CanSelect, force parent to perform layout when Dock property changes
	* GroupBox.cs
	* Label.cs
	* Panel.cs
	* PictureBox.cs
	* Splitter.cs
	* ProgressBar.cs : remove Selectable style
	* RadioButton.cs : set TextAlign to MiddleLeft by default
	* tooltip.cs : override Dispose method
	* win32Enums.cs
	* win32functions.cs : flags and function for context menu

2003-06-09 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Conrols.cs : Disposing property, Dispose method
	* Cursor.cs  : Show, Hide, Copy cursor
	* NativeWindow.cs : destructor

2003-06-09 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs : Cursor property, handle WM_SETCURSOR
	* Cursor.cs : started implementation
	* Cursors.cs : load system cursor types
	* win32functions.cs : DestroyCursor function

2003-06-09 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* HScrollBar.cs
	* ScrollBar.cs
	* VScrollBar.cs : implemented
	* ScrollEventArgs.cs: typo fix

2003-06-09 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* AxHost.cs
	* MonthCalendar.cs : fixed issues breaking the build

2003-06-09 Dennis Hayes <dennish@raytek.com>
	for Gopal V <gopalv82@symonds.net>
	* MonthCalendar.cs
	* AxHost.cs
	Fixed overrides

2003-06-07   Alexandre Pigolkine <pigolkine@gmx.de>
	* Control.cs
	* Form.cs
	* ScrollableControl.cs
			DockStyle.None & AnchorStyles

2003-06-06   Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* HScrollBar.cs
	* ScrollBar.cs
	* VScrollBar.cs
	* win32Enums.cs : started implementation of scrollbar classes

2003-06-06   Aleksey Ryabchuk <ryabchuk@yahoo.com>
        * Form.cs : MaximumSize, MinimumSize, TopMost were implemented, small fixes and improvements
	* win32Structs.cs: WINDOWPOS structure

2003-06-05   Aleksey Ryabchuk <ryabchuk@yahoo.com>
        * Form.cs : ControlBox, HelpButton, MaximizeBox, MinimizeBox, maximumSize
	* win32Structs.cs: MINMAXINFO structure

2003-06-04   Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs
	* Form.cs   : KeyPreview, ShowInTaskBar

2003-06-02 Alexandre Pigolkine <pigolkine@gmx.de>
	* Application.cs
	* ComboBox.cs
	* Control.cs
				change to ContainsFocus/Focused properties
			
2003-04-25  Miguel de Icaza  <miguel@ximian.com>

        * SystemInformation.cs (ComputerName): Bug fix: we need to trim down the size

2003-05-30  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* GroupBox.cs : take BackColor into account

2003-05-27  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs : helper method getParentForm
	* Form.cs : ActiveForm , FormBorderStyle implemented
	* GroupBox.cs : some chages in drawing code, don't register another window class
	* FormBorderStyle.cs : fixed typo
	* win32functions.cs : UpdateWindowExStyle added, new prototypes for GetActiveWindow, GetForegroundWindow

2003-05-27  Aleksey Ryabchuk <ryabchuk@yahoo.com>
        * Button.cs
	* CheckBox.cs
	* CheckedListBox.cs
	* ComboBox.cs
	* HScrollBar.cs
	* ListBox.cs
	* ListView.cs
	* PrintPreviewControl.cs
	* RichTextBox.cs
	* ScrollBar.cs
	* Splitter.cs
	* ToolBar.cs
	* TreeView.cs
	* VScrollBar.cs : changed to use base implementation of CreateParams

2003-05-27  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs : implemented GetChildIndex, BringToFront, UpdateZOrder, update z-order when recreating handle,
	* win32Strcuts.cs
	* win32Enums.cs : use ansi CharSet for tooltips
			
2003-05-27  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Contols.cs : changes to SetVisibleCore, Invalidate (bool) is implemented
	* NativeWindow.cs : don't use CS_VREDRAW and CS_HREDRAW flags
	* ImageList.cs
	* ImageListStreamer.cs : small fixes
	* TabControl.cs
	* TabPage.cs : image list support was added

2003-05-26  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* ImageListStreamer.cs: added deserialization code
	* win32functions.cs : added some prototypes required for ImageList impl.
	* win32strcuts.cs : added new structs, switched to CharSet.Ansi for TCITEM struct
	* win32Enums.cs : use ansi messages for tab control

2003-05-20  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* win32functions.cs  
	* NativeWindow.cs : fixed some issues causing problems when running SWF on Linux 

2003-05-20  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* FileDialog.cs : more implementation added
	* win32Enums.cs : added some error codes  for common dialogs
	* win32functions.cs : added prototype for CommDlgExtendedError

2003-05-19  Aleksey Ryabchuk <ryabchuk@yahoo.com>
        * CommonDialog.cs
	* FileDialog.cs
	* OpenFileDialog.cs
	* win32Enums.cs
	* win32Structs.cs : more implementation added

2003-05-16  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* CommonDialog.cs
	* FileDialog.cs
	* win32Enums.cs
	* win32functions.cs : started impl. of OpenFile dialog

2003-05-16  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* DomainUpDown.cs : changes to OnTextBoxKeyDown
	* UpDownBase.cs : added impl. to BackColor and BackgroundImage

2003-05-12  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs : ResizeRedraw, removed some unused code
	* DomainUpDown.cs : 
	* UpDownBase.cs : some improvements

2003-05-12  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Application.cs
	* ContainerControl.cs
	* Control.cs
	* Form.cs
	* ScrollableControl.cs
	* StatusBar.cs
	* TabControl.cs
	* TabPage.cs : changes in the code for TAB key handling

2003-05-09  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs
	* Form.cs
	* GroupBox.cs
	* Label.cs
	* UpDownBase.cs : some new stuff related to focus movement by the TAB key

2003-05-08  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs : started implementation of keyboard handling
	* CroupBox.cs : set UserPaint style
	* TextBoxBase.cs : set subclass flag to allow catching of keyboard events

2003-05-07  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs : static RegisterDefaultWindowClass method was added
	* ScrollableControl.cs : registration of "mono_scrollable_control" was moved to Control class
	* win32functions.cs : new constant DEFAULT_WINDOW_CLASS
	* PictureBox.cs : implemented

2003-05-07  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs : use WS_OVERLAPPED instead of WS_OVERLAPPEDWINDOW, update text field in get Text property
	* TextBox.cs : use styles provided by TextBoxBase
	* TextBoxBase.cs : more methods and properties were implemented
	* win32enums.cs  : messages and notifications for EDIT control

2003-05-02  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs : call OnTextChange
	* UpdownBase.cs 
	* DomainUpDown.cs : some more implementation
	* TextBox.cs : TextAlign, use base.CreateParams
	* TextBoxBase.cs : use base.CreateParams
	* Win32enums.cs : styles for edit box

2003-04-30  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* TabControl.cs
	* TabPage.cs : prevent pages from being added to the TabControl multiple times

2003-04-30  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs : some fixes, added call to OnControlAdded, update visibility flag in Show and Hide
	* GroupBox.cs
	* Label.cs
	* ButtoBase.cs : use base.CreateParams
	* PictureBox.cs : call base.OnResize
	* RadioButton.cs : implemented
	* TabControl.cs
	* TabPage.cs : some fixes

2003-04-29  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs : call OnResize from OnSizeChanged
	* TabControl.cs : small fixes
	* Win32enums.cs : constants for ToolTip notifications

2003-04-28 Alexandre Pigolkine <pigolkine@gmx.de>
	* monogc.c
	* makefile		small improvements

2003-04-26 Alexandre Pigolkine <pigolkine@gmx.de>
	* monogc.c	GC stubs for Mini
	* win32functions.cs 	EntryPoint added for some functions

2003-04-25  Miguel de Icaza  <miguel@ximian.com>

	* SystemInformation.cs (ComputerName): Implement this.

2003-04-25  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs : check if control is already in control collection, Created property,
		       ControlCollection.RemoveAt reimplemented using ControlCollection.Remove
	* TabControl.cs
	* TabPage.cs : some more implementation
	* win32structs.cs: TCITEMHEADER replaced with TCITEM

2003-04-24  Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs: change to CreateControlInstance function
	* Panel.cs:   use base CreateParams
	* TabControl.cs
	* TabPage : started implementing
	* win32Enums.cs
	* win32Structs.cs
	* win32functions.cs : messages, styles for TabControl

2003-04-24 Alexandre Pigolkine <pigolkine@gmx.de>
	* Button.cs 	paint with Back/Fore colors
	* ComboBox.cs   fix to notification handler
	* ContainerControl.cs
	* ControlStyles.cs 
	* ListBox.cs
	* Panel.cs			changes for ControlStyles
	* Control.cs		ControlStyles, BackColor, painting logic
	
	* DrawItemEventArgs.cs	temporary fix to avoid crach in jit
	

2003-04-23 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Application.cs : new internal functions enterModalLoop, exitModalLoop
	* Button.cs : changes in DialogResult and OnClick
	* Control.cs : new internal getOwnerWindow method, recreate child windows in RecreateHandle as well
	* form.cs : implementation of modal forms
	* win32enums.cs :  constants for GetWindow function
	* win32functions.cs : GetWindow , IsDialogMessage added

2003-04-22 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs : implementation of docking
	* Form.cs    : small changes regarding resizing of MDI client window
	* StatusBar.cs : update parts on Layout event, new style to prevent resizing by the system

2003-04-17 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs : implementation of scale functions, bug-fix in ControlCollection.Add
	* Form.cs    : implementation of ScaleCore method

2003-04-17 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* ImageList.cs
	* ImageListStreamer.cs : started to implement
	* Control.cs : changes in implementation of size-related functions
	* Form.cs    : small modifications to reflect changes in Contol class

2003-04-15 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* NativeWindow.cs : don't assign window ID when it was already assigned by the system

2003-04-11 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs : some new functions implemented, using BitVector32
			instead of declaring separate boolean varibales for every control status
			
2003-04-11 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs
	* Form.cs
	* MainMenu.cs
	* Menu.cs
	* MenuItem.cs
	* NativeWindow.cs
	* win32functions.cs : some changes related to implementation of MDI interface

2003-04-11 Aleksey Ryabchuk <ryabchuk@yahoo.com>
	* Control.cs : init bounds in ctor, invisible parking window
	* TrackBar.cs 
	* ProgressBar.cs.cs 
	* DateTimePicker.cs 
	* StatusBar.cs : use base version of CreateParams
	* ScrollableControl.cs : use base version of CreateParams, removed CS_VREDRAW, CS_HREDRAW styles
	* Form.cs : reset parent back to zero for the main form
	* StatusBarPanel.cs : small bug-fix

2003-04-6  DennisHayes <dennish@raytek.com>
	* Converted to Unix newlines
	* Changed copyright from 2002 to 2002/3

2003-04-6  DennisHayes <dennish@raytek.com>
	* CheckOutList Update, removed everyone from list, active developers need to readd.
	* Binding.cs Marked some funmctions for Compact frame work
	* RadioButton.cs //removed inherited members 
	* RichTextBox.cs //removed inherited members
	* Splitter.cs //removed a throw not implmented so some samples could run.
	
2003-04-06 Alexandre Pigolkine <pigolkine@gmx.de>
	* Control.cs
	* Form.cs
	* NativeWindow.cs
	* Win32functions.cs
	* Win32structs.cs : initial implementation of MDI interface.
		Aleksey Ryabchuk <ryabchuk@yahoo.com>

	* Button.cs
	* CheckedListBox.cs
	* Control.cs
	* GroupBox.cs 
	* ListBox.cs
	* ScrollableControl.cs
		Attempt to minimize fliker effect
		Alexandre Pigolkine

2003-03-30 Alexandre Pigolkine <pigolkine@gmx.de>
	* DateTimePicker.cs
	* StatusBar.cs
	* tooltip.cs
		Fixed AllocCoTaskMem issure. Bug-fix for DTP.
		Aleksey Ryabchuk <ryabchuk@yahoo.com>

2003-03-29 Alan Tam <Tam@SiuLung.com>
	* DataGrid.cs
		stubbed a missing method

2003-03-26 Alexandre Pigolkine <pigolkine@gmx.de>
	* NumericUpDown.cs
	* ScrollableControl.cs
	* UpDownBase.cs
	* win32Structs.cs
		implementation of NumericUpDown

	* tooltip.cs
	* win32Enums.cs
	* win32functions.cs
		implementation of ToolTip control class.
		Aleksey Ryabchuk <ryabchuk@yahoo.com>

2003-03-25 Alexandre Pigolkine <pigolkine@gmx.de>
	* CheckedListBox.cs
	* ListBox.cs
		Implementation of Collections
		Alexandre Pigolkine <pigolkine@gmx.de>

	* Control.cs
	* DateTimePicker.cs
	* win32Enums.cs
		notification handling for DateTimePicker control.
	* StatusBar.cs
	* TrackBar.cs
		 small modifications.
		Aleksey Ryabchuk <ryabchuk@yahoo.com>


2003-03-23 Alexandre Pigolkine <pigolkine@gmx.de>
	* DateTimePicker.cs
	* Form.cs
	* ProgressBar.cs
	* win32Enums.cs
	* win32Structs.cs
		Implementation of ProgressBar and DateTimePicker controls by
		Aleksey Ryabchuk <ryabchuk@yahoo.com>

	* Control.cs	small fix to handle scroll bar messages

2003-03-20 Alexandre Pigolkine <pigolkine@gmx.de
	* Control.cs
	* Form.cs
	* GroupBox.cs
	* Label.cs
	* Panel.cs
	* TrackBar.cs
	* win32functions.cs
		checkin for Aleksey Ryabchuk <ryabchuk@yahoo.com>
		implementation of Timer class and small modifications to other files

2003-03-18 Alexandre Pigolkine <pigolkine@gmx.de>
	* monowinehooks.c
	* runwine
			attempt to use LD_PRELOAD to override stubs in Wine
	* monosem.c		implementation of pthread_cond*
	* makefile
	* monogc.c
	* monostub.c
		small changes to files

2003-03-17 Alexandre Pigolkine <pigolkine@gmx.de>
	* monogc.c
	* makefile
		original version of monogc.c by John Sohn <jsohn@columbus.rr.com>

2003-03-15 Alexandre Pigolkine <pigolkine@gmx.de>
	* Control.cs
	* Panel.cs
	* StatusBar.cs
	* StatusBarPanel.cs
	* win32Enums.cs
	* win32functions.cs
		checkin for Aleksey Ryabchuk (ryabchuk@yahoo.com)

2003-03-15 Alexandre Pigolkine <pigolkine@gmx.de>
	* monogc.c					dynamic loader for gc-wine.dll by John Sohn <jsohn@columbus.rr.com>
	* makefile					changed to build monogc

2003-03-10 Alexandre Pigolkine <pigolkine@gmx.de>
	* Button.cs
		check in for Steven Stewart <stevenstewart@mindspring.com>

2003-03-09 Alexandre Pigolkine <pigolkine@gmx.de>
	* Application.cs			fixed line terminators

	* Form.cs
	* TrackBar.cs
	* win32Enums.cs
		implementation of TrackBar control by Aleksey Ryabchuk (ryabchuk@yahoo.com)

	* makefile
	* monostub.c
	* monosem.c
		parse command line
		run assembly not from main thread
		first implementation of pthread fuctions using Wine

2003-03-01 Alexandre Pigolkine <pigolkine@gmx.de>
	* Button.cs					changed painting code
	* ButtonBase.cs				ContentAlignment operations implemented in separate functions
	* CheckedListBox.cs 		Implementation added
	* ComboBox.cs				small modifications
	* Control.cs				repaint on style changes
	* ControlPaint.cs			Implementation added
	* Form.cs					delegate Size to Control
	* ImageList.cs				small modifications
	* ListBox.cs				Implementation added
	* ListControl.cs			small modifications
	* NativeWindow.cs			fixed line terminators
	* ScrollableControl.cs		small modifications
	* win32Enums.cs				declaration added
	* win32functions.cs			Implementation added, fixed line terminators


2003-02-27  Reggie Burnett <reggie@bytefx.com>
	* Added several external functions to Win32funcs.cs
	* Added necessary LoadLibrary to RichTextEdit to load common control library
	
2003-02-26  Reggie Burnett <reggie@bytefx.com>
	* Form.Close now actually destroys the Window
	* Application now closes when launching form is closed

 2003-02-19 Alexandre Pigolkine <pigolkine@gmx.de>
	* Button.cs
	* CheckedListBox.cs
	* ComboBox.cs
	* Control.cs
	* ControlPaint.cs
	* Form.cs
	* ListBox.cs
	* win32functions.cs
					implementation added
					
 2003-02-11 Alexandre Pigolkine <pigolkine@gmx.de>
 	* ButtonBase.cs
	* ComboBox.cs
	* Control.cs
	* ListControl.cs
	* NativeWindow.cs
						implementation added

    The following sample from .Net SDK can run:
    Samples\QuickStart\winforms\samples\controlreference\comboboxctl\cs\

 2003-02-09 Alexandre Pigolkine <pigolkine@gmx.de>
	* Button.cs
	* ButtonBase.cs
	* CheckBox.cs
	* ComboBox.cs
	* Control.cs
	* ControlPaint.cs
							implementation added
	* Message.cs
							bug fixed
	* win32Enums.cs
	* win32functions.cs
	* win32Structs.cs
 							declarations added


 2003-02-07  Alexandre Pigolkine <pigolkine@gmx.de>
	* Font.cs 				removed
	* Button.cs
	* ControlPaint.cs
	* ComboBox.cs
						modified

 2003-02-06  Alexandre Pigolkine <pigolkine@gmx.de>

   * Button.cs             Painting code is implemented
   * ButtonBase.cs         TextAlign property implemented, WM_COMMAND handling is modified
   * ComboBox.cs           Initial implementation of ObjectCollection, properties and WM_COMMAND

   * Control.cs            Changes to WindProc of Control and ControlNativeWindow classes,
                           to some properties, window handle creation, ControlCollection
                           Initial implementation windows control subclassing, message reflection,
                           ISynchrinizeInvoke interface.

   * ControlPaint.cs       Initial implementation of DrawBorder3D and DrawButton

   * Form.cs               Modification to constructor, window handle creation,
                                       WM_COMMAND handling, WndProc

   * ListBox.cs            Implementation of DrawMode.OwnerDrawFixed and OwnerDrawVariable
   * Message.cs            WParam helpers added
   * MessageBox.cs         By default MessageBox.Show(string) brings TASKMODAL message box
   * NativeWindow.cs       Implemented OnThreadException
   * PaintEventArgs.cs     Dispose() method
   * ProgressBar.cs        Small modifications to implementation
   * SystemInformation.cs  CaptionHeight implemented

   * CheckBox.cs
   * GroupBox.cs
   * Label.cs
   * Panel.cs
   * TextBox.cs
                           CreateParams property modified

   * win32enums.cs         enums added
   * win32functions.cs     functions added
   * win32struct.cs        2 structs modified

   * Application.cs
   * DrawItemEventArgs.cs
                            line terminators fixed

    The following samples from .Net SDK can run:
    Samples\QuickStart\howto\samples\winforms\errorhandler\cs\
    Samples\QuickStart\howto\samples\winforms\ownerdrawlistbox\cs\
    Samples\QuickStart\howto\samples\winforms\threadmarshal\cs\
    Samples\QuickStart\winforms\samples\accessible\cs\
    Samples\QuickStart\winforms\samples\controlreference\buttonctl\cs\

  2003-31-1  John Sohn <jsohn@columbus.rr.com>
	* makefile: cleaned and reduced dependencies to hard-coded paths
	* monostub.c: updated for compliance with the latest Mono and WineLib

  2002-12-9  DennisHayes <dennish@raytek.com>

	* Form.cs
	* KeysConverter.cs
	* Label.cs
	* LinkArea.cs
	* LinkLabel.cs
	* ListBindingConverter.cs
	* ListBox.cs
	* ListControl.cs
	* ListView.cs
	* ListViewItem.cs
	* ListViewItemConverter.cs
	* MainMenu.cs
	* Menu.cs
	* MenuItem.cs
	* NativeWindow.cs
	* NumericUpDown.cs
	* OpacityConverter.cs
	* OSFeature.cs
	* PictureBox.cs
	* PrintControllerWithStatusDialog.cs
	* PrintDialog.cs
	* PrintPreviewControl.cs
	* PropertyManager.cs
	* RadioButton.cs
	* Screen.cs
	* ScrollableControl.cs
	* ScrollBar.cs
	* SendKeys.cs
	* SplitterEventArgs.cs
	* StatusBar.cs
	* SystemInformation.cs
	* TextBoxBase.cs
	* ToolBar.cs
	* TrackBar.cs
	* TreeNode.cs
	* TreeNodeCollection.cs
	* TreeNodeConverter.cs
	* TreeView.cs

	* cleanup, fixes, some implmentation

  2002-12-6  DennisHayes <dennish@raytek.com>	

	* checkin for Alexandre Pigolkine (pigolkine@gmx.de)
	* Form.cs
	* Menu.cs
	* MenuItem.cs
	
	* Implmentation

    2002-12-6  DennisHayes <dennish@raytek.com>	

	* Control.cs
	* Form.cs
	* MonthCalendar.cs
	* Screen.cs
	* SelectionRange.cs
	* SelectionRangeConverter.cs
	* TabPage.cs
	* TextBox.cs
	* Timer.cs
	* ToolBarButton.cs
	* TrackBar.cs
	* UpDownBase.cs
	* UserControl.cs
	* tooltip.cs

	* cleanup, dead code removeal, replaced throw not implmented's with //FIXME:s

    2002-12-3  DennisHayes <dennish@raytek.com>	
	* *.cs
	* switched to unix style line terminiators



    2002-12-3  DennisHayes <dennish@raytek.com>	

	* 140 files changed. replaced throw notimplmenteds with FIXME:s, removed dead code,
	* corrected

  2002-12-1  DennisHayes <dennish@raytek.com>

	* AccessibleObject.cs
	* Application.cs
	* ApplicationContext.cs
	* AxHost.cs
	* Binding.cs
	* BindingContext.cs
	* Button.cs
	* CheckBox.cs
	* CheckedListBox.cs
	* Clipboard.cs
	* ColorDialog.cs
	* ColumnHeader.cs
	* ComboBox.cs
	* CommonDialog.cs
	* ContainerControl.cs
	* ContextMenu.cs
	* Control.cs
	* ControlBindingsCollection.cs
	* ControlPaint.cs
	* CreateParams.cs
	* CurrencyManager.cs
	* Cursor.cs
	* CursorConverter.cs
	* Cursors.cs
	* DataFormats.cs
	* DataGrid.cs
	* DataGridTableStyle.cs
	* DataGridTextBox.cs
	* DataGridTextBoxColumn.cs
	* DataObject.cs
	* ErrorProvider.cs
	* Form.cs

	* removed some throw notimplmented ecexptions
	* Some small implmentaions
	* some dead code removal

  2002-11-28  DennisHayes <dennish@raytek.com>

	* In visual studio, I added a SWFTest project to the SWF solution.
	* Using Microsoft's swf.dll, I added one of each possible stock controls to the form.
	* I closed the form (swf design stuff i svery incomplete).
	* I Removed the reference to MS's swf.dll, and added a reference to the SWF project.
	* The result compiles, runs, and can be closed, without crashing in windows.
	* PrintPreviewDialog is the only item (other than crystal reports) on the 
	* standard toolbar that is not included.
	* When run, a standard window comes up, not a dialog/form type window.
	* The form is as small as possible, just a caption bar of minimum width
	* with control bax and min/max box. It can be resized to any size fine.
	* no controls are actualy displayed. they may be of zero size, or it 
	* may be due to the window not being a dialog box, or it may be anything.
	
	* ApplicationContext.cs
	* Button.cs
	* ChangeLog
	* CheckBox.cs
	* CheckedListBox.cs
	* ColorDialog.cs
	* ComboBox.cs
	* ContainerControl.cs
	* Control.cs
	* DataGrid.cs
	* DateTimePicker.cs
	* DomainUpDown.cs
	* ErrorProvider.cs
	* FileDialog.cs
	* FontDialog.cs
	* Form.cs
	* GroupBox.cs
	* HelpProvider.cs
	* HScrollBar.cs
	* ImageList.cs
	* Label.cs
	* LinkLabel.cs
	* ListBox.cs
	* ListControl.cs
	* ListView.cs
	* logfile.txt
	* MainMenu.cs
	* Menu.cs
	* MenuItem.cs
	* NativeWindow.cs
	* NotifyIcon.cs
	* NumericUpDown.cs
	* OpenFileDialog.cs
	* PageSetupDialog.cs
	* Panel.cs
	* PictureBox.cs
	* PrintDialog.cs
	* PrintPreviewControl.cs
	* PrintPreviewDialog.cs
	* ProgressBar.cs
	* RadioButton.cs
	* RichTextBox.cs
	* SaveFileDialog.cs
	* ScrollableControl.cs
	* ScrollBar.cs
	* Splitter.cs
	* StatusBar.cs
	* System.Windows.Forms.csproj
	* System.Windows.Forms.csproj.user
	* TabControl.cs
	* TextBox.cs
	* TextBoxBase.cs
	* Timer.cs
	* ToolBar.cs
	* ToolBarButton.cs
	* tooltip.cs
	* TrackBar.cs
	* TreeNode.cs
	* TreeNodeCollection.cs
	* TreeView.cs
	* UpDownBase.cs
	* UserControl.cs
	* VScrollBar.cs
	* win32Enums.cs
	* win32functions.cs

  2002-11-27  DennisHayes <dennish@raytek.com>	
	* checkin for Alexandre Pigolkine (pigolkine@gmx.de) with minor changes
	
	* Control.cs
	* MainMenu.cs
	* Menu.cs
	* MenuItem.cs
	* NativeWindow.cs
	* win32Enums.cs
	* win32functions.cs
	
	* WIN32 implmentation

    2002-11-24  DennisHayes <dennish@raytek.com>	

	* Application.cs
	* Control.cs
	* Form.cs
	* Message.cs
	* NativeWindow.cs
	* ScrollableControl.cs
	* win32functions.cs
	* win32Structs.cs
	
	* Fixed added more win32 stuff
	* On windows in Visual studio and runs my test program, but does 
	* not display a window. the window Handle is null, so the size gets set to 0,0.
	

  2002-11-23  DennisHayes <dennish@raytek.com>	
	 checked in for 	Francois-Denis Gonthier

	* win32functions.cs
	* win32Structs.cs
	* Menu.cs
	* ScrollableControl.cs
	* MenuItem.cs
	* NativeWindow.cs
	* Form.cs
	* move some more stuff from monostub to c#
	* converted a couple of files to unix style line end
	* some implmementation
	
  2002-11-17  DennisHayes <dennish@raytek.com>	

	* AccessibleObject.cs

	* Removed COMvisible. Docs say yes, but verifer says no

  2002-11-17  DennisHayes <dennish@raytek.com>	

	* Application.cs
	* Button.cs
	* Control.cs
	* Form.cs
	* Label.cs
	* ListBox.cs
	* Menu.cs
	* MessageBox.cs
	* NativeWindow.cs
	* PrintPreviewDialog.cs
	* ScrollableControl.cs
	* ScrollBar.cs
	* VScrollBar.cs

	* Made changes releated to the new win32 stuff

  2002-11-17  DennisHayes <dennish@raytek.com>	
	* Win32Enums.cs
	* Win32Handles.cs
	* Win32Interfaces.cs
	* Win32RegistryUtil.cs
	* Win32Structs.cs

	* Completed merging files from  Carlos Harvey Perez
	* Moved all parts of Win32.cs to these files
	* eliminated Win32.cs.
	*
	* many things moved from win32.cs still commented out.
	* Also needs to be mono styled.

	* Win32.cs - removed

  2002-11-12  DennisHayes <dennish@raytek.com>	

	* Win32Enums.cs
	* Win32Handles.cs
	* Win32Interfaces.cs
	* Win32RegistryUtil.cs
	* Win32Structs.cs

	* Added files from  Carlos Harvey Perez
	** Thanks Carlos! **
	* Moved all parts of Win32.cs to these files
	* Execpt for functions. Will merge functions
	* and eliminate remove Win32.cs soon.
	*
	* most things moved from win32.cs still commented out.
	* Also needs to be mono styled.

	* Win32.cs
	* Moved stuff from win32.cs to files from Carlos.2002-11-12  Gonzalo Paniagua Javier <gonzalo@ximian.com>

2002-11-12  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* ListBox.cs: added ItemHeight and DrawMode properties. Fixes the build
	in unix.

	* ListBox.cs: added ItemHeight and DrawMode properties. Fixes the build
	in unix.

2002-11-02  Miguel de Icaza  <miguel@ximian.com>

	* Win32.cs: Added IsMenu, CreateMenu, AppendMenuA, DestroyMenu entry points.
	
2002-10-29  DennisHayes <dennish@raytek.com>	

	* AmbientProperties.cs
	* Application.cs
	* ApplicationContext.cs
	* CheckBox.cs
	* CheckedListBox.cs
	* ColumnHeader.cs
	* ContainerControl.cs
	* ContextMenu.cs
	* Control.cs
	* Cursors.cs
	* HScrollBar.cs
	* ListBox.cs
	* MainMenu.cs
	* Menu.cs
	* MenuItem.cs
	* MessageBox.cs
	* NativeWindow.cs
	* PictureBox.cs
	* ScrollableControl.cs
	* ScrollBar.cs
	* System.Windows.Forms.csproj
	* System.Windows.Forms.csproj.user
	* VScrollBar.cs
	* Win32.cs

	* minor formating, bug fixes, and implmentation


  2002-10-29  DennisHayes <dennish@raytek.com>	
	* checkin for Alexandre Pigolkine (pigolkine@gmx.de)
	* Menu classes start on implmentation

  2002-10-27  DennisHayes <dennish@raytek.com>	

	* AccessibleObject.cs
	* AssemblyInfo.cs
	* AxHost.cs
	* BaseCollection.cs
	* BindingMemberInfo.cs
	* BindingsCollection.cs
	* ButtonBase.cs
	* ColumnClickEventArgs.cs
	* ComboBox.cs
	* ContainerControl.cs
	* ContentsResizedEventArgs.cs
	* Control.cs
	* ControlEventArgs.cs
	* ConvertEventArgs.cs
	* DateBoldEventArgs.cs
	* DateRangeEventArgs.cs
	* DomainUpDown.cs
	* DragEventArgs.cs
	* DrawItemEventArgs.cs
	* FolderBrowserDialog.cs
	* Form.cs
	* GiveFeedbackEventArgs.cs
	* HelpEventArgs.cs
	* InputLanguageChangedEventArgs.cs
	* InputLanguageChangingEventArgs.cs
	* InvalidateEventArgs.cs
	* ItemChangedEventArgs.cs
	* ItemCheckEventArgs.cs
	* ItemDragEventArgs.cs
	* KeyEventArgs.cs
	* KeyPressEventArgs.cs
	* Keys.cs
	* LabelEditEventArgs.cs
	* LayoutEventArgs.cs
	* LinkClickedEventArgs.cs
	* LinkLabelLinkClickedEventArgs.cs
	* ListControl.cs
	* MeasureItemEventArgs.cs
	* MouseEventArgs.cs
	* NavigateEventArgs.cs
	* NodeLabelEditEventArgs.cs
	* PaintEventArgs.cs
	* PrintPreviewDialog.cs
	* PropertyTabChangedEventArgs.cs
	* PropertyValueChangedEventArgs.cs
	* QueryAccessibilityHelpEventArgs.cs
	* QueryContinueDragEventArgs.cs
	* ScrollEventArgs.cs
	* SelectedGridItemChangedEventArgs.cs
	* SplitterEventArgs.cs
	* StatusBarDrawItemEventArgs.cs
	* StatusBarPanelClickEventArgs.cs
	* System.Windows.Forms.csproj
	* System.Windows.Forms.csproj.user
	* TextBox.cs
	* ToolBarButtonClickEventArgs.cs
	* TreeNodeConverter.cs
	* TreeViewCancelEventArgs.cs
	* UICuesEventArgs.cs
	* UpDownBase.cs
	* UpDownEventArgs.cs
	* VScrollBar.cs


	* Stubs now compliant with .NET 1.1 Beta, except for one that has dependencies.
	* Added FolderBrowserDialog.cs for .NET 1.1 beta compatibility.
	* Completed implmentation of all *Args classes.
	* Updated checkoutlist.
	* Made fixes so this will compile using Visual studio under windows.



  2002-10-26  DennisHayes <dennish@raytek.com>	

	* Added CheckOutFile to SWF one level up from here
	* to keep track of who is working on what.

  2002-10-24  DennisHayes <dennish@raytek.com>	

	* AccessibleObject.cs
	* Application.cs
	* AssemblyInfo.cs
	* BaseCollection.cs
	* BindingContext.cs
	* BindingManagerBase.cs
	* BindingsCollection.cs
	* ContainerControl.cs
	* Control.cs
	* Font.cs
	* Form.cs
	* IAccessible.cs
	* InputLanguageCollection.cs
	* Label.cs
	* MessageBox.cs
	* PropertyTabChangedEventArgs.cs
	* ScrollableControl.cs
	* Win32.cs
	* WINELib.csproj
	* WINELib.csproj.user
	* winelib.sln

	* Changes to get winelib version running with more methods uncommented out.
	* Especialy trying to get CE compliance.

2002-10-22  DennisHayes <dennish@raytek.com>
	* Miguel moved files from WINELIB to here
	* See ochagelog for details

2002-10-13  DennisHayes <dennish@raytek.com>

	*Application.cs
	*AxHost.cs
	*ChangeLog
	*CheckedListBox.cs
	*ComboBox.cs
	*CurrencyManager.cs
	*DateTimePicker.cs
	*DomainUpDown.cs
	*FolderBrowserDialog.cs
	*ListBox.cs
	*logfile.txt
	*StatusBarDrawItemEventArgs.cs
	*TabControl.cs
	*TextBox.cs
	*TrackBar.cs
	*UpDownBase.cs

	* Updated to match .NET V1.1 Beta

2002-9-2  DennisHayes <dennish@raytek.com>

* AccessibleObject.cs
* AmbientProperties.cs
* AxHost.cs
* Button.cs
* ButtonBase.cs
* CheckBox.cs
* ColorDialog.cs
* ColumnHeader.cs
* ComboBox.cs
* ContainerControl.cs
* DataGrid.cs
* DateTimePicker.cs
* ListControl.cs
* PrintPreviewDialog.cs
* Implmented any functions.

* System.Windows.Forms.csproj
* System.Windows.Forms.csproj.user
* Added win32.cs

2002-8-6  DennisHayes <dennish@raytek.com>
* Checked in for Ginandrea Terzi (gterzi@lario.com)

* MeasureItemEventArgs.cs
* PropertyValueChangedEventArgs.cs
* ScrollEventArgs.cs
* ScrollEventType.cs
* SelectionMode.cs
* Shortcut.cs
* TickStyle.cs
* ToolBarButtonClickEventArgs.cs
* TreeViewAction.cs
* TriangleDirection.cs
* UICues.cs
* UICuesEventArgs.cs
* UpDownBase.cs
* UpDownEventHandler.cs
* Fixed syntax errors and verifier errors

2002-8-6  DennisHayes <dennish@raytek.com>

* PropertyTabChangedEventArgs.cs
* Minor sytax bug fixes.

* System.Windows.Forms.csproj
* System.Windows.Forms.csproj.user
* System.Windows.Forms.sln
* Added support for System.Windows.Forms.Design
* Builds two dlls instead of one.
* Allows compiling for now, but needs to be fixed

2002-8-2  DennisHayes <dennish@raytek.com>
* Checked in for Ginandrea Terzi (gterzi@lario.com)

* AssemblyInfo.cs
* ColumnClickEventArgs.cs
* ContentsResizedEventArgs.cs
* ControlEventArgs.cs
* ConvertEventArgs.cs
* DateBoldEventArgs.cs
* DateRangeEventArgs.cs
* DragEventArgs.cs
* DrawItemEventArgs.cs
* GiveFeedbackEventArgs.cs
* HelpEventArgs.cs
* InputLanguageChangedEventArgs.cs
* InputLanguageChangingEventArgs.cs
* InvalidateEventArgs.cs
* ItemChangedEventArgs.cs
* ItemCheckEventArgs.cs
* ItemDragEventArgs.cs

* KeyEventArgs.cs
* KeyPressEventArgs.cs
* LabelEditEventArgs.cs
* LayoutEventArgs.cs
* LinkClickedEventArgs.cs
* LinkLabelLinkClickedEventArgs.cs
* logfile.txt
* MeasureItemEventArgs.cs
* MouseEventArgs.cs
* NavigateEventArgs.cs
* NodeLabelEditEventArgs.cs
* PaintEventArgs.cs
* PropertyTabChangedEventArgs.cs
* PropertyValueChangedEventArgs.cs
* QueryAccessibilityHelpEventArgs.cs
* QueryContinueDragEventArgs.cs
* ScrollEventArgs.cs
* SelectedGridItemChangedEventArgs.cs
* SplitterEventArgs.cs
* StatusBarDrawItemEventArgs.cs
* StatusBarPanelClickEventArgs.cs
* ToolBarButtonClickEventArgs.cs
* TreeViewCancelEventArgs.cs
* UICuesEventArgs.cs
* UpDownEventArgs.cs
* Improved ToString functions
* Completed the rest of the *.args classes

2002-8-1  DennisHayes <dennish@raytek.com>
* Checked in for Ginandrea Terzi (gterzi@lario.com)

* KeyEventArgs.cs
* KeyPressEventArgs.cs
* LabelEditEventArgs.cs
* LayoutEventArgs.cs
* LinkClickedEventArgs.cs
* LinkLabelLinkClickedEventArgs.cs
* MeasureItemEventArgs.cs
* MouseEventArgs.cs
* NavigateEventArgs.cs
* NodeLabelEditEventArgs.cs
* PaintEventArgs.cs
* PropertyTabChangedEventArgs.cs
* PropertyValueChangedEventArgs.cs
* QueryAccessibilityHelpEventArgs.cs
* QueryContinueDragEventArgs.cs
* ScrollEventArgs.cs
* SelectedGridItemChangedEventArgs.cs
* SplitterEventArgs.cs
* StatusBarDrawItemEventArgs.cs
* StatusBarPanelClickEventArgs.cs
* ToolBarButtonClickEventArgs.cs
* TreeViewCancelEventArgs.cs
* UICuesEventArgs.cs
* UpDownEventArgs.cs
* Corrected, cleaned up/ completed some *args.cs classes.
* May break build, but should be easy to fix, will verifiy
*   tonight and check in any needed fixes.

2002-8-1  DennisHayes <dennish@raytek.com>
* MonthCalendar.cs
* ButtonBase.cs
* Form.cs
* MonthCalendar commented out, stubbs need work
* GTK references removed from Buttonbase and form, to make compile easier.
* Replace GTK references as soon as build works on Windows and Linux.
* With this, SWF should compile uder visual studio

2002-8-1  DennisHayes <dennish@raytek.com>
* TODOAttribute.cs
* ComVisible.cs
* added so the namespace can compile, remove when replaced with mono equivalents.

2002-8-1  DennisHayes <dennish@raytek.com>
* System.Windows.Forms.csproj
* System.Windows.Forms.csproj.user
* System.Windows.Forms.sln
* AssemblyInfo.cs * Not sure if this file is needed. not a part of the namespace, just visual studio
* Added files to compile using visual Studio

2002-8-1  DennisHayes <dennish@raytek.com>
* Getopt.cs
* removed, file contained only trash, not needed.


2002-7-30  DennisHayes <dennish@raytek.com>

* AccessibleNavigation.cs
* AccessibleObject.cs
* AccessibleSelection.cs
* AmbientProperties.cs
* Application.cs
* ApplicationContext.cs
* AxHost.cs
* BaseCollection.cs
* Binding.cs
* BindingContext.cs
* BindingManagerBase.cs
* BindingMemberInfo.cs
* BindingsCollection.cs
* Button.cs
* ButtonBase.cs
* CaptionButton.cs
* CharacterCasing.cs
* CheckBox.cs
* CheckedListBox.cs
* CheckState.cs
* Clipboard.cs
* ColorDialog.cs
* ColumnClickEventArgs.cs
* ColumnClickEventHandler.cs
* ColumnHeader.cs
* ComboBox.cs
* CommonDialog.cs
* ContainerControl.cs
* ContentsResizedEventHandler.cs
* ContextMenu.cs
* Control.cs
* ControlBindingsCollection.cs
* ControlEventArgs.cs
* ControlEventHandler.cs
* ControlPaint.cs
* ConvertEventHandler.cs
* CreateParams.cs
* CurrencyManager.cs
* Cursor.cs
* CursorConverter.cs
* Cursors.cs
* DataFormats.cs
* DataGrid.cs
* DataGridBoolColumn.cs
* DataGridCell.cs
* DataGridColumnStyle.cs
* DataGridParentRowsLabelStyle.cs
* DataGridPreferredColumnWidthTypeConverter.cs
* DataGridTableStyle.cs
* DataGridTextBox.cs
* DataGridTextBoxColumn.cs
* DataObject.cs
* DateBoldEventArgs.cs
* DateRangeEventArgs.cs
* DateRangeEventHandler.cs
* DateTimePicker.cs
* DialogResult.cs
* DockStyle.cs
* DomainUpDown.cs
* DragAction.cs
* DragDropEffects.cs
* DragEventArgs.cs
* DragEventHandler.cs
* DrawItemEventArgs.cs
* DrawItemEventHandler.cs
* DrawItemState.cs
* DrawMode.cs
* ErrorBlinkStyle.cs
* ErrorIconAlignment.cs
* ErrorProvider.cs
* FeatureSupport.cs
* FileDialog.cs
* FlatStyle.cs
* FontDialog.cs
* Form.cs
* FormBorderStyle.cs
* FormStartPosition.cs
* FormWindowState.cs
* FrameStyle.cs
* GiveFeedbackEventHandler.cs
* GridColumnStylesCollection.cs
* GridItemCollection.cs
* GridTableStylesCollection.cs
* GroupBox.cs
* Help.cs
* HelpEventHandler.cs
* HelpProvider.cs
* HScrollBar.cs
* ImageIndexConverter.cs
* ImageList.cs
* ImageListStreamer.cs
* InputLanguage.cs
* InputLanguageChangedEventHandler.cs
* InputLanguageChangingEventHandler.cs
* InputLanguageCollection.cs
* InvalidateEventHandler.cs
* ItemChangedEventArgs.cs
* ItemChangedEventHandler.cs
* ItemCheckEventHandler.cs
* ItemDragEventHandler.cs
* KeyEventHandler.cs
* KeyPressEventArgs.cs
* KeyPressEventHandler.cs
* KeysConverter.cs
* Label.cs
* LabelEditEventHandler.cs
* LayoutEventHandler.cs
* LinkArea.cs
* LinkClickedEventHandler.cs
* LinkLabel.cs
* LinkLabelLinkClickedEventHandler.cs
* ListBindingConverter.cs
* ListBox.cs
* ListControl.cs
* ListView.cs
* ListViewItem.cs
* ListViewItemConverter.cs
* logfile.txt
* MainMenu.cs
* MeasureItemEventHandler.cs
* Menu.cs
* MenuItem.cs
* Message.cs
* MessageBox.cs
* MethodInvoker.cs
* MonthCalendar.cs
* MouseEventHandler.cs
* NativeWindow.cs
* NavigateEventHandler.cs
* NodeLabelEditEventHandler.cs
* NotifyIcon.cs
* NumericUpDown.cs
* OpacityConverter.cs
* OpenFileDialog.cs
* OSFeature.cs
* PageSetupDialog.cs
* PaintEventArgs.cs
* PaintEventHandler.cs
* Panel.cs
* PrintControllerWithStatusDialog.cs
* PrintDialog.cs
* PrintPreviewControl.cs
* PrintPreviewDialog.cs
* ProgressBar.cs
* PropertyGrid.cs
* PropertyManager.cs
* PropertyTabChangedEventArgs.cs
* PropertyTabChangedEventHandler.cs
* PropertyValueChangedEventHandler.cs
* QueryAccessibilityHelpEventHandler.cs
* QueryContinueDragEventHandler.cs
* RadioButton.cs
* RichTextBox.cs
* SaveFileDialog.cs
* Screen.cs
* ScrollableControl.cs
* ScrollBar.cs
* ScrollEventArgs.cs
* ScrollEventHandler.cs
* SelectedGridItemChangedEventHandler.cs
* SelectionRange.cs
* SelectionRangeConverter.cs
* SendKeys.cs
* Splitter.cs
* SplitterEventHandler.cs
* StatusBar.cs
* StatusBarDrawItemEventArgs.cs
* StatusBarDrawItemEventHandler.cs
* StatusBarPanel.cs
* StatusBarPanelClickEventArgs.cs
* StatusBarPanelClickEventHandler.cs
* StatusBarPanelCollection.cs
* SystemInformation.cs

* TabControl.cs
* TabPage.cs
* TextBox.cs
* TextBoxBase.cs
* ThreadExceptionDialog.cs
* Timer.cs
* ToolBar.cs
* ToolBarButton.cs
* ToolBarButtonClickEventHandler.cs
* ToolTip.cs
* TrackBar.cs
* TreeNode.cs
* TreeNodeCollection.cs
* TreeNodeConverter.cs
* TreeView.cs
* TreeViewCancelEventHandler.cs
* TreeViewEventHandler.cs
* TreeViewImageIndexConverter.cs
* UICuesEventArgs.cs
* UICuesEventHandler.cs
* UpDownBase.cs
* UpDownEventHandler.cs
* UserControl.cs
* VScrollBar.cs
* Fixed errors reported by verify.exe, mostly attribute errors.
* Added my name to author's list to files I edited in the last two weeks

2002-7-22  DennisHayes <dennish@raytek.com>

* DateTimePickerFormat.cs
* Added values.
* The NAMESPACE NOW COMPILES under windows in Visual Studio using the Microsoft version of the classes.
* Verify.exe reports 600 errors.

2002-7-21  DennisHayes <dennish@raytek.com>

* AccessibleObject.cs
* AmbientProperties.cs
* AxHost.cs
* BaseCollection.cs
* BindingsCollection.cs
* ButtonBase.cs
* CheckBox.cs
* CheckedListBox.cs
* ComboBox.cs
* ContainerControl.cs
* ContextMenu.cs
* Control.cs
* ControlEventArgs.cs
* ControlPaint.cs
* ConvertEventArgs.cs
* DataGrid.cs
* DataGridColumnStyle.cs
* DataObject.cs
* DateTimePicker.cs
* DomainUpDown.cs
* DragEventArgs.cs
* DrawItemEventArgs.cs
* ErrorProvider.cs
* FeatureSupport.cs
* FileDialog.cs
* FontDialog.cs
* Form.cs
* GiveFeedbackEventArgs.cs
* GridColumnStylesCollection.cs
* GridItem.cs
* GridItemCollection.cs
* GridTableStylesCollection.cs
* GroupBox.cs
* Help.cs
* HelpEventArgs.cs
* HelpProvider.cs
* HScrollBar.cs
* ImageIndexConverter.cs
* ImageList.cs
* ImageListStreamer.cs
* InputLanguage.cs
* InputLanguageChangedEventArgs.cs
* InputLanguageChangingEventArgs.cs
* InputLanguageCollection.cs
* InvalidateEventArgs.cs
* ItemChangedEventArgs.cs
* ItemCheckEventArgs.cs
* ItemDragEventArgs.cs
* KeyEventArgs.cs
* KeyPressEventArgs.cs
* KeysConverter.cs
* Label.cs
* LabelEditEventArgs.cs
* LayoutEventArgs.cs
* LinkArea.cs
* LinkClickedEventArgs.cs
* LinkLabel.cs
* LinkLabelLinkClickedEventArgs.cs
* LinkLabelLinkClickedEventHandler.cs
* ListBindingConverter.cs
* ListBox.cs
* ListControl.cs
* ListView.cs
* ListViewItem.cs
* ListViewItemConverter.cs
* MainMenu.cs
* MeasureItemEventArgs.cs
* Menu.cs
* MenuItem.cs
* Message.cs
* MessageBox.cs
* MouseEventArgs.cs
* NativeWindow.cs
* NavigateEventArgs.cs
* NodeLabelEditEventArgs.cs
* NotifyIcon.cs
* NumericUpDown.cs
* OpacityConverter.cs
* OpenFileDialog.cs
* OSFeature.cs
* PageSetupDialog.cs
* PaintEventArgs.cs
* Panel.cs
* PrintControllerWithStatusDialog.cs
* PrintDialog.cs
* PrintPreviewDialog.cs
* QueryAccessibilityHelpEventArgs.cs
* QueryContinueDragEventArgs.cs
* RadioButton.cs
* RichTextBox.cs
* SaveFileDialog.cs
* Screen.cs
* ScrollableControl.cs
* ScrollBar.cs
* ScrollEventArgs.cs
* SelectedGridItemChangedEventArgs.cs
* SelectionRange.cs
* SelectionRangeConverter.cs
* SendKeys.cs
* Splitter.cs
* SplitterEventArgs.cs
* StatusBar.cs
* StatusBarDrawItemEventArgs.cs
* StatusBarPanelCollection.cs
* TabControl.cs
* TabPage.cs
* TextBox.cs
* TextBoxBase.cs
* ToolBar.cs
* ToolBarButtonClickEventArgs.cs
* ToolTip.cs
* TrackBar.cs
* TreeNodeCollection.cs
* TreeView.cs
* UserControl.cs
* commented out inherited class that did not need to be stubbed.
* fixed bugs, added values to one enum. Stubbed interfaces.
* The NAMESPACE NOW COMPILES under windows in Visual Studio using the Microsoft version of the classes.
* Verify.exe reports 600 errors.

2002-7-7  DennisHayes <dennish@raytek.com>

* ToolBarButtonClickEventArgs.cs 
* UpDownEventArgs.cs 
* KeyPressEventHandler.cs
* Added new files.

2002-7-7  DennisHayes <dennish@raytek.com>

* AccessibleEvents.cs
* AccessibleNavigation.cs
* AccessibleObject.cs
* AccessibleRole.cs
* AccessibleSelection.cs
* AccessibleStates.cs
* AmbientProperties.cs
* AnchorStyles.cs
* Appearance.cs
* Application.cs
* ApplicationContext.cs
* ArrangeDirection.cs
* ArrangeStartingPosition.cs
* AxHost.cs
* BaseCollection.cs
* Binding.cs
* BindingContext.cs
* BindingManagerBase.cs
* BindingMemberInfo.cs
* BindingsCollection.cs
* BootMode.cs
* Border3DSide.cs
* Border3DStyle.cs
* BorderStyle.cs
* BoundsSpecified.cs
* Button.cs
* ButtonBase.cs
* ButtonBorderStyle.cs
* ButtonState.cs
* CaptionButton.cs
* CharacterCasing.cs
* CheckBox.cs
* CheckedListBox.cs
* CheckState.cs
* Clipboard.cs
* ColorDepth.cs
* ColorDialog.cs
* ColumnClickEventArgs.cs
* ColumnClickEventHandler.cs
* ColumnHeader.cs
* ColumnHeaderStyle.cs
* ComboBox.cs
* ComboBoxStyle.cs
* CommonDialog.cs
* ComVisible.cs
* ContainerControl.cs
* ContentsResizedEventArgs.cs
* ContentsResizedEventHandler.cs
* ContextMenu.cs
* Control.cs
* ControlBindingsCollection.cs
* ControlEventArgs.cs
* ControlEventHandler.cs
* ControlPaint.cs
* ControlStyles.cs
* ConvertEventArgs.cs
* ConvertEventHandler.cs
* CreateParams.cs
* CurrencyManager.cs
* Cursor.cs
* CursorConverter.cs
* Cursors.cs
* DataFormats.cs
* DataGrid.cs
* DataGridBoolColumn.cs
* DataGridCell.cs
* DataGridColumnStyle.cs
* DataGridLineStyle.cs
* DataGridParentRowsLabelStyle.cs
* DataGridPreferredColumnWidthTypeConverter.cs
* DataGridTableStyle.cs
* DataGridTextBox.cs
* DataGridTextBoxColumn.cs
* DataObject.cs
* DateBoldEventArgs.cs
* DateRangeEventArgs.cs
* DateRangeEventHandler.cs
* DateTimePicker.cs
* DateTimePickerFormat.cs
* day.cs
* DialogResult.cs
* DockStyle.cs
* DomainUpDown.cs
* DragAction.cs
* DragDropEffects.cs
* DragEventArgs.cs
* DragEventHandler.cs
* DrawItemEventArgs.cs
* DrawItemEventHandler.cs
* DrawItemState.cs
* DrawMode.cs
* ErrorBlinkStyle.cs
* ErrorIconAlignment.cs
* ErrorProvider.cs
* FeatureSupport.cs
* FileDialog.cs
* FlatStyle.cs
* FontDialog.cs
* Form.cs
* FormBorderStyle.cs
* FormStartPosition.cs
* FormWindowState.cs
* FrameStyle.cs
* Getopt.cs
* GiveFeedbackEventArgs.cs
* GiveFeedbackEventHandler.cs
* GridColumnStylesCollection.cs
* GridItem.cs
* GridItemCollection.cs
* GridItemType.cs
* GridTableStylesCollection.cs
* GroupBox.cs
* Help.cs
* HelpEventArgs.cs
* HelpEventHandler.cs
* HelpNavigator.cs
* HelpProvider.cs
* HorizontalAlignment.cs
* HScrollBar.cs
* IButtonControl.cs
* ICommandExecutor.cs
* IComponentEditorPageSite.cs
* IContainerControl.cs
* IDataGridColumnStyleEditingNotificationService.cs
* IDataGridEditingService.cs
* IDataObject.cs
* IFeatureSupport.cs
* IFileReaderService.cs
* ImageIndexConverter.cs
* ImageList.cs
* ImageListStreamer.cs
* ImeMode.cs
* IMessageFilter.cs
* InputLanguage.cs
* InputLanguageChangedEventArgs.cs
* InputLanguageChangedEventHandler.cs
* InputLanguageChangingEventArgs.cs
* InputLanguageChangingEventHandler.cs
* InputLanguageCollection.cs
* InvalidateEventArgs.cs
* InvalidateEventHandler.cs
* ItemActivation.cs
* ItemBoundsPortion.cs
* ItemChangedEventArgs.cs
* ItemChangedEventHandler.cs
* ItemCheckEventArgs.cs
* ItemCheckEventHandler.cs
* ItemDragEventArgs.cs
* ItemDragEventHandler.cs
* IWin32Window.cs
* IWindowTarget.cs
* KeyEventArgs.cs
* KeyEventHandler.cs
* KeyPressEventArgs.cs
* KeyPressEventHandler.cs
* Keys.cs
* KeysConverter.cs
* Label.cs
* LabelEditEventArgs.cs
* LabelEditEventHandler.cs
* LayoutEventArgs.cs
* LayoutEventHandler.cs
* LeftRightAlignment.cs
* LinkArea.cs
* LinkBehavior.cs
* LinkClickedEventArgs.cs
* LinkClickedEventHandler.cs
* LinkLabel.cs
* LinkLabelLinkClickedEventArgs.cs
* LinkLabelLinkClickedEventHandler.cs
* LinkState.cs
* ListBindingConverter.cs
* ListBox.cs
* ListControl.cs
* ListView.cs
* ListViewAlignment.cs
* ListViewItem.cs
* ListViewItemConverter.cs
* MainMenu.cs
* MdiLayout.cs
* MeasureItemEventArgs.cs
* MeasureItemEventHandler.cs
* Menu.cs
* MenuGlyph.cs
* MenuItem.cs
* MenuMerge.cs
* Message.cs
* MessageBox.cs
* MessageBoxButtons.cs
* MessageBoxDefaultButton.cs
* MessageBoxIcon.cs
* MessageBoxOptions.cs
* MethodInvoker.cs
* MonthCalendar.cs
* MouseButtons.cs
* MouseEventArgs.cs
* MouseEventHandler.cs
* NativeWindow.cs
* NavigateEventArgs.cs
* NavigateEventHandler.cs
* NodeLabelEditEventArgs.cs
* NodeLabelEditEventHandler.cs
* NotifyIcon.cs
* NumericUpDown.cs
* OpacityConverter.cs
* OpenFileDialog.cs
* Orientation.cs
* OSFeature.cs
* PageSetupDialog.cs
* PaintEventArgs.cs
* PaintEventHandler.cs
* Panel.cs
* PictureBoxSizeMode.cs
* PrintControllerWithStatusDialog.cs
* PrintDialog.cs
* PrintPreviewControl.cs
* PrintPreviewDialog.cs
* ProgressBar.cs
* PropertyGrid.cs
* PropertyManager.cs
* PropertySort.cs
* PropertyTabChangedEventArgs.cs
* PropertyTabChangedEventHandler.cs
* PropertyValueChangedEventArgs.cs
* PropertyValueChangedEventHandler.cs
* QueryAccessibilityHelpEventArgs.cs
* QueryAccessibilityHelpEventHandler.cs
* QueryContinueDragEventArgs.cs
* QueryContinueDragEventHandler.cs
* RadioButton.cs
* RichTextBox.cs
* RichTextBoxFinds.cs
* RichTextBoxScrollBars.cs
* RichTextBoxSelectionAttribute.cs
* RichTextBoxSelectionTypes.cs
* RichTextBoxStreamType.cs

* RichTextBoxWordPunctuations.cs
* RightToLeft.cs
* SaveFileDialog.cs
* Screen.cs
* ScrollableControl.cs
* ScrollBar.cs
* ScrollBars.cs
* ScrollButton.cs

* ScrollEventArgs.cs
* ScrollEventHandler.cs
* ScrollEventType.cs
* SecurityIDType.cs
* SelectedGridItemChangedEventArgs.cs
* SelectedGridItemChangedEventHandler.cs
* SelectionMode.cs
* SelectionRange.cs
* SelectionRangeConverter.cs
* SendKeys.cs
* Shortcut.cs
* SizeGripStyle.cs
* SortOrder.cs
* Splitter.cs
* SplitterEventArgs.cs
* SplitterEventHandler.cs
* StatusBar.cs
* StatusBarDrawItemEventArgs.cs
* StatusBarDrawItemEventHandler.cs
* StatusBarPanel.cs
* StatusBarPanelAutoSize.cs
* StatusBarPanelBorderStyle.cs
* StatusBarPanelClickEventArgs.cs
* StatusBarPanelClickEventHandler.cs
* StatusBarPanelCollection.cs
* StatusBarPanelStyle.cs
* StructFormat.cs
* SystemInformation.cs
* TabAlignment.cs
* TabAppearance.cs
* TabControl.cs
* TabDrawMode.cs
* TabPage.cs
* TabSizeMode.cs
* TextBox.cs
* TextBoxBase.cs
* ThreadExceptionDialog.cs
* TickStyle.cs
* Timer.cs
* ToolBar.cs
* ToolBarAppearance.cs
* ToolBarButton.cs
* ToolBarButtonClickEventArgs.cs
* ToolBarButtonClickEventHandler.cs
* ToolBarButtonStyle.cs
* ToolBarTextAlign.cs
* ToolTip.cs
* TrackBar.cs
* TreeNode.cs
* TreeNodeCollection.cs
* TreeNodeConverter.cs
* TreeView.cs
* TreeViewAction.cs
* TreeViewCancelEventArgs.cs
* TreeViewCancelEventHandler.cs
* TreeViewEventArgs.cs
* TreeViewEventHandler.cs
* TreeViewImageIndexConverter.cs
* UICues.cs
* UICuesEventArgs.cs
* UICuesEventHandler.cs
* UpDownBase.cs
* UpDownEventArgs.cs
* UpDownEventHandler.cs
* UserControl.cs
* View.cs
* VScrollBar.cs
* Monostyled everything!



2002-7-7  DennisHayes <dennish@raytek.com>

* AccessibleObject.cs
* AmbientProperties.cs
* AxHost.cs
* BindingsCollection.cs
* Button.cs
* ButtonBase.cs
* ChangeLog
* CheckBox.cs
* CheckedListBox.cs
* ColorDialog.cs
* ComboBox.cs
* CommonDialog.cs
* ContainerControl.cs
* ContextMenu.cs
* ControlEventArgs.cs
* CurrencyManager.cs
* DataGrid.cs
* DataGridBoolColumn.cs
* DataGridColumnStyle.cs
* DataGridTableStyle.cs
* DataGridTextBox.cs
* DataGridTextBoxColumn.cs
* DateTimePickerFormat.cs
* ErrorProvider.cs
* FileDialog.cs
* FontDialog.cs
* Form.cs
* GroupBox.cs
* HelpProvider.cs
* HScrollBar.cs
* ImageList.cs
* KeyPressEventHandler.cs
* Label.cs
* LinkLabel.cs
* LinkLabelLinkClickedEventArgs.cs
* ListBox.cs
* ListControl.cs
* ListView.cs
* logfile.txt
* MainMenu.cs
* Menu.cs
* MenuItem.cs
* MonthCalendar.cs
* NotifyIcon.cs
* OpenFileDialog.cs
* PageSetupDialog.cs
* Panel.cs
* PrintDialog.cs
* PropertyManager.cs
* RadioButton.cs
* RichTextBox.cs
* SaveFileDialog.cs
* ScrollableControl.cs
* ScrollBar.cs
* Splitter.cs
* StatusBar.cs
* StatusBarPanel.cs
* TabControl.cs
* TabPage.cs
* TextBox.cs
* TextBoxBase.cs
* ThreadExceptionDialog.cs
* Timer.cs
* ToolBar.cs
* ToolBarButton.cs
* TrackBar.cs
* TreeView.cs
* UpDownBase.cs
* VScrollBar.cs
* Uncommented stuff, re-commented stuff, adding usings, fixed minor syntax errors.

2002-7-6  DennisHayes <dennish@raytek.com>

* DragEventArgs.cs
* PropertyValueChangedEventArgs.cs
* InputLanguageChangedEventArgs.cs
* added files

2002-7-6  DennisHayes <dennish@raytek.com>

* ToolBarButtonClickEventArgs.cs
* UpDownEventArgs.cs
* PropertyValueChangedEventArgs.c
* Added new files

2002-7-6  DennisHayes <dennish@raytek.com>

* AccessibleObject.cs
* AmbientProperties.cs
* Application.cs
* ApplicationContext.cs
* AxHost.cs
* BaseCollection.cs
* Binding.cs
* BindingContext.cs
* BindingManagerBase.cs
* BindingsCollection.cs
* CaptionButton.cs
* Clipboard.cs
* ColumnHeader.cs
* Control.cs
* ControlBindingsCollection.cs
* ControlPaint.cs
* CreateParams.cs
* CurrencyManager.cs
* Cursor.cs
* CursorConverter.cs
* Cursors.cs
* DataFormats.cs
* DataGridPreferredColumnWidthTypeConverter.cs
* DataGridTextBoxColumn.cs
* DataObject.cs
* DateBoldEventArgs.cs
* DateTimePicker.cs
* DomainUpDown.cs
* FeatureSupport.cs
* FontDialog.cs
* Form.cs
* GridColumnStylesCollection.cs
* GridItemCollection.cs
* GridTableStylesCollection.cs
* Help.cs
* IButtonControl.cs
* IFileReaderService.cs
* ImageIndexConverter.cs
* ImageListStreamer.cs
* IMessageFilter.cs
* InputLanguage.cs
* InputLanguageChangeEventArgs.cs
* InputLanguageCollection.cs
* ItemChangedEventArgs.cs
* KeyEventArgs.cs
* KeyPressEventArgs.cs
* KeysConverter.cs
* LinkLabel.cs
* LinkLabelLinkClickedEventArgs.cs
* LinkLabelLinkClickedEventHandler.cs
* ListBindingConverter.cs
* ListViewItem.cs
* ListViewItemConverter.cs
* logfile.txt
* MessageBox.cs
* NativeWindow.cs
* NumericUpDown.cs
* OpacityConverter.cs
* OSFeature.cs
* PaintEventArgs.cs
* PrintControllerWithStatusDialog.cs
* PropertyGrid.cs
* PropertyTabChangedEventArgs.cs
* PropertyTabChangedEventHandler.cs
* PropertyValueChangedEventArgs.cs
* Screen.cs
* ScrollEventArgs.cs
* SelectionRange.cs
* SelectionRangeConverter.cs
* SendKeys.cs
* SplitterEventArgs.cs
* StatusBarPanelClickEventArgs.cs
* StatusBarPanelCollection.cs
* SystemInformation.cs
* ToolBarButtonClickEventArgs.cs
* ToolTip.cs
* TreeNode.cs
* TreeNodeCollection.cs
* TreeNodeConverter.cs
* TreeViewCancelEventArgs.cs
* TreeViewImageIndexConverter.cs
* UICuesEventArgs.cs
* UpDownBase.cs
* UpDownEventArgs.cs
* UserControl.cs
* Added usings, corrected minor syntax errors, uncommented some stuff to flush out compile errors.

2002-7-3  DennisHayes <dennish@raytek.com>

* AccessibleObject.cs
* Application.cs
* AxHost.cs
* Button.cs
* Control.cs
* Form.cs
* GridColumnStylesCollection.cs
* GridItemCollection.cs
* GridTableStylesCollection.cs
* ImageIndexConverter.cs
* ImageListStreamer.cs
* InputLanguageChangingEventArgs.cs
* KeysConverter.cs
* Label.cs
* LinkLabel.cs
* LinkLabelLinkClickedEventArgs.cs
* ListBox.cs
* ListView.cs
* ListViewItem.cs
* ListViewItemConverter.cs
* Menu.cs
* NumericUpDown.cs
* ScrollableControl.cs
* StatusBarDrawItemEventArgs.cs
* StatusBarPanel.cs
* StatusBarPanelCollection.cs
* TabControl.cs
* TrackBar.cs
* TreeNodeCollection.cs
* added usings, minor syntax corrections.

2002-7-3  DennisHayes <dennish@raytek.com>
* checked in for Jaak Simm (jaaksimm@firm.ee)
* PrintPreviewControl.cs
* PrintPreviewDialog.cs
* ProgressBar.cs
* PropertyGrid.cs
* PropertyManager.cs
* PropertyTabChangedEventArgs.cs
* new files added

2002-7-2  DennisHayes <dennish@raytek.com>
* Application.cs
* ControlEventArgs.cs
* Form.cs
* merged changes made by miguel and hestilow in gkt# to system.windows.forms

2002-7-2  DennisHayes <dennish@raytek.com>
* Button.cs
* ButtonBase.cs
* ContainerControl.cs
* Label.cs
* ScrollableControl.cs
* Copied changes made by miguel and hestilow in gkt# to system.windows.forms

2002-7-2  DennisHayes <dennish@raytek.com>
*  Checked in for Richard Baumann (biochem333@nyc.rr.com)
* DataGridTextBoxColumn.cs
* DataObject.cs
* DateBoldEventArgs.cs
* DateRangeEventArgs.cs
* DateTimePicker.cs
* DomainUpDown.cs
* DragEventArgs.cs
* DrawItemEventArgs.cs
* added new files

2002-7-2  DennisHayes <dennish@raytek.com>
* checked in for Jaak Simm (jaaksimm@firm.ee)
* DataFormats.cs
* DataGrid.cs
* DataGridBoolColumn.cs
* DataGridColumnStyle.cs
* DataGridPreferredColumnWidthTypeConverter.cs
* DataGridTableStyle.cs
* DataGridTextBox.cs
* new classes added

2002-7-2  DennisHayes <dennish@raytek.com>
*  Checked in for Richard Baumann (biochem333@nyc.rr.com)
* StatusBar.cs
* StatusBarDrawItemEventArgs.cs
* StatusBarPanel.cs
* StatusBarPanelClickEventArgs.cs
* SystemInformation.cs
* Minor changes by Rich B

2002-7-1  DennisHayes <dennish@raytek.com>

* AccessibleObject.cs
* AmbientProperties.cs
* Application.cs
* ApplicationContext.cs
* ArrangeDirection.cs
* AxHost.cs BaseCollection.cs
* Binding.cs BindingContext.cs
* BindingManagerBase.cs
* BindingMemberInfo.cs
* BindingsCollection.cs
* Button.cs
* ButtonBase.cs
* CheckBox.cs
* CheckedListBox.cs
* Clipboard.cs
* ColorDialog.cs
* ColumnClickEventArgs.cs
* ColumnClickEventHandler.cs
* ColumnHeader.cs
* ComboBox.cs
* CommonDialog.cs
* ComVisible.cs
* ContainerControl.cs
* ContentsResizedEventArgs.cs
* ContextMenu.cs
* Control.cs
* ControlBindingsCollection.cs
* ControlEventArgs.cs
* ControlPaint.cs
* ConvertEventArgs.cs
* CreateParams.cs
* CurrencyManager.cs
* Cursor.cs
* CursorConverter.cs
* Cursors.cs
* ErrorProvider.cs 
* FeatureSupport.cs
* FileDialog.cs
* Form.cs
* GiveFeedbackEventArgs.cs
* GridColumnStylesCollection.cs
* GridItem.cs
* GridItemCollection.cs
* GridTableStylesCollection.cs
* GroupBox.cs
* Help.cs 
* HelpEventArgs.cs
* HelpProvider.cs
* HScrollBar.cs
* ImageIndexConverter.cs
* ImageList.cs
* ImageListStreamer.cs
* InputLanguage.cs
* InputLanguageChangedEventArgs.cs
* InputLanguageChangingEventArgs.cs
* InputLanguageCollection.cs
* InvalidateEventArgs.cs
* ItemChangedEventArgs.cs
* ItemCheckEventArgs.cs
* ItemDragEventArgs.cs
* IWin32Window.cs
* KeyEventArgs.cs
* KeyPressEventArgs.cs
* KeysConverter.cs
* Label.cs
* LabelEditEventArgs.cs
* LabelEditEventHandler.cs
* LayoutEventArgs.cs
* LinkClickedEventArgs.cs
* LinkLabel.cs
* LinkLabelLinkClickedEventArgs.cs
* ListBindingConverter.cs
* ListBox.cs
* ListControl.cs
* ListView.cs
* ListViewItem.cs
* ListViewItemConverter.cs
* MainMenu.cs
* MeasureItemEventArgs.cs
* Menu.cs MenuItem.cs
* Message.cs
* MessageBox.cs
* MonthCalendar.cs
* MouseEventArgs.cs
* NativeWindow.cs
* NavigateEventArgs.cs
* NodeLabelEditEventArgs.cs
* NotifyIcon.cs
* NumericUpDown.cs
* OpacityConverter.cs
* OpenFileDialog.cs
* OSFeature.cs
* PageSetupDialog.cs
* PaintEventArgs.cs
* Panel.cs
* PrintControllerWithStatusDialog.cs
* PrintDialog.cs
* QueryAccessibilityHelpEventArgs.cs
* QueryContinueDragEventArgs.cs
* RadioButton.cs
* RichTextBox.cs
* SaveFileDialog.cs
* Screen.cs
* ScrollableControl.cs
* ScrollBar.cs
* ScrollEventArgs.cs
* SelectedGridItemChangedEventArgs.cs
* SelectionRange.cs
* SelectionRangeConverter.cs
* SendKeys.cs
* Splitter.cs
* SplitterEventArgs.cs
* StatusBar.cs
* StatusBarDrawItemEventArgs.cs
* StatusBarPanel.cs
* StatusBarPanelClickEventArgs.cs
* StatusBarPanelCollection.cs
* SystemInformation.cs
* TabControl.cs
* TabPage.cs
* TextBox.cs
* TextBoxBase.cs
* ThreadExceptionDialog.cs
* Timer.cs
* ToolBar.cs
* ToolBarButton.cs
* TrackBar.cs
* TreeNode.cs
* TreeNodeCollection.cs
* TreeNodeConverter.cs
* TreeView.cs
* TreeViewCancelEventArgs.cs
* TreeViewEventArgs.cs
* TreeViewImageIndexConverter.cs
* UICuesEventArgs.cs
* UserControl.cs
* VScrollBar.cs
* Implmented some stuff, fixed some stuff, monostyled some stuff, uncommented-out some stuff.


2002-7-1  DennisHayes <dennish@raytek.com>
* changelog
* reversed order, putting most recent entries at the top

2002-6-24 DennisHayes <dennish@raytek.com>
* AccessibleStates.cs
* ArrangeDirection.cs
* AccessibleEvents.cs
* Added values for enums

2002-6-24 DennisHayes <dennish@raytek.com>
* BindingMemberInfo.cs
* CaptionButton.cs
* DataGridCell.cs
* Message.cs
* MessageBox.cs
* Fixed bugs preventing compile

2002-6-18 DennisHayes <dennish@raytek.com>
* checked in  for Stefan Warnke (StefanW@POBox.com)
* UICuesEventArgs.cs
* UpDownBase.cs
* Better comments and formatting

2002-6-18 DennisHayes <dennish@raytek.com>
* Checked in for Jackson Harper (jackson@latitudegeo.com)
* ToolBar.cs
* TabControl.cs
* TabPage.cs
* Added sub classes

2002-6-5 DennisHayes <dennish@raytek.com>
* TabControl.cs
* TabPage.cs
* TextBox.cs
* TextBoxBase.cs
* ThreadExceptionDialog.cs
* Timer.cs
* added new files for Jackson Harper (jackson@latitudegeo.com)
* needs to be mono styled, and may have other issues

2002-6-5 DennisHayes <dennish@raytek.com>
* ErrorProvider.cs
* PrintControllerWithStatusDialog.cs
* PrintDialog.cs
* added new files for paul

2002-6-5 DennisHayes <dennish@raytek.com>
* StatusBarDrawItemEventArgs.cs
* StatusBarPanel.cs
* StatusBarPanelClickEventArgs.cs
* StatusBarPanelCollection.cs
* SystemInformation.cs
* added new files for Richard Baumann (biochem333@nyc.rr.com)

2002-6-5 DennisHayes <dennish@raytek.com>
* removed, code moved to main class files, Form.cs, ImageList.cs, LinkLabel.cs,
*   ListBox.cs, ListView.cs, ListViewItem.cs, Menu.cs, MonthCalendar.cs, ScrollableControl.cs
* Form.ControlCollectison.cs
* ImageList.ImageCollection.c
* LinkLabel.LinkCollection.cs
* ListBox.ObjectCollection.cs
* ListBox.SelectedIndexCollection.cs
* ListBox.SelectedObjectCollection.cs
* ListView.CheckedListViewItemCollection.cs
* ListView.CheckedIndexCollection.cs
* ListView.ColumnHeaderCollection.cs
* ListView.ListViewItemCollection.cs
* ListView.SelectedIndexCollection.cs
* ListView.SelectedListViewItemCollection.cs
* ListViewItem.ListViewSubItem.cs
* ListViewItem.ListViewSubItemCollection.cs
* Menu.MenuItemCollection.cs
* MonthCalendar.HitTestInfo.cs
* ScrollableControl.DockPaddingEdges.cs

2002-6-5 DennisHayes <dennish@raytek.com>
* Checked in for Jackson Harper (jackson@latitudegeo.com)
* ToolBar.cs
* ToolBarButton.cs
* ToolTip.cs
* TrackBar.cs
* TreeNode.cs
* TreeNodeCollection.cs
* TreeNodeConverter.cs
* TreeView.cs
* TreeViewCancelEventArgs.cs
* TreeViewEventArgs.cs
* TreeViewImageIndexConverter.cs
* Just stubbs
* New files added, work in progress cleanup and mono style needed.

2002-6-5 DennisHayes <dennish@raytek.com>
* checked in  for Stefan Warnke (StefanW@POBox.com)
* UICuesEventArgs.cs
* UpDownBase.cs
* Just stubbs
* New files, work in progress, needs cleanup and mono style



2002-5-31 DennisHayes <dennish@raytek.com>
* ItemChangedEventHandler.cs
* InvalidateEventHandler.cs
* ItemChangedEventHandler.cs
* added new files

2002-5-31 DennisHayes <dennish@raytek.com>
		Check in for Paul Osman <paul.osman@sympatico.ca>
* Panel.cs
* New class, Stubbed and commented out

2002-5-31 DennisHayes <dennish@raytek.com>
		Check in for Paul Osman <paul.osman@sympatico.ca>
* MonthCalendar.cs
* MonthCalendar.HitTestInfo.cs
* MouseEventArgs.cs
* NativeWindow.cs
* Removed trash byte

2002-5-31 DennisHayes <dennish@raytek.com>
* ColumnClickEventArgs.cs
* Fully implmented.

2002-5-31 DennisHayes <dennish@raytek.com>
* Minor formating in lots of files


2002-5-27 DennisHayes <dennish@raytek.com>
Added structs. All structs in System.Windows.Forms done
* BindingMemberInfo.cs
* DataGridCell.cs
* LinkArea.cs
* Message.cs
* Complete execpt for Message.cs GetLParam
* and
* BindingMemberInfo needs constructor.
* All need verification of hashcodes.

2002-5-27 DennisHayes <dennish@raytek.com>
Added delegates. All delegates in System.Windows.Forms done
* ColumnClickEventHandler.cs
* ContentsResizedEventHandler.cs
* ControlEventHandler.cs
* ConvertEventHandler.cs
* DateRangeEventHandler.cs
* DragEventHandler.cs
* DrawItemEventHandler.cs
* GiveFeedbackEventHandler.cs
* HelpEventHandler.cs
* InputLanguageChangedEventHandler.cs
* InputLanguageChangingEventHandler.cs
* InvalidateEventHandler.cs
* ItemChangedEventHandler.cs
* ItemCheckEventHandler.cs
* ItemDragEventHandler.cs
* KeyEventHandler.cs
* LabelEditEventHandler.cs
* LayoutEventHandler.cs
* LinkClickedEventHandler.cs
* LinkLabelLinkClickedEventHandler.cs

2002-5-27 DennisHayes <dennish@raytek.com>
		Check in for Paul Osman <paul.osman@sympatico.ca>
* NumericUpDown.cs
* OpacityConverter.cs
* OpenFileDialog.cs
* OSFeature.cs
* PageSetupDialog.cs
* PaintEventArgs.cs
* MonthCalendar.HitTestInfo.cs
* MouseEventArgs.cs
* NativeWindow.cs
* Stubbed and commented out
* NativeWindow.cs, MonthCalendar.HitTestInfo.cs, MouseEventArgs.cs,
* have bad extra byte from old skeleton, need new corrected version.

* MonthCalendar.HitTestInfo.cs needs to be incorporated into MonthCalendar.

2002-5-27 DennisHayes <dennish@raytek.com>
		Check in for Paul Osman <paul.osman@sympatico.ca>
* Menu.cs
* Menu.MenuItemCollection.cs
* MenuItem.cs
* MessageBox.cs
* MonthCalendar.cs
* Stubbed and commented out
* MonthCalendar.cs has bad extra byte from old skeleton, need new corrected version.
* MonthCalendar.HitTestInfo.cs needs to be incorporated into MonthCalendar.
* Menu.MenuItemCollection.cs needs to be incorporated into Menu.cs.

2002-5-27 DennisHayes <dennish@raytek.com>
		Check in for Paul Osman <paul.osman@sympatico.ca>
* Panel.cs
* New class, Stubbed and commented out

2002-5-10 Dennis Hayes
* added IMessageFilter
* Interfaces complete

 2002-5-8 Dennis Hayes <dennish@raytek.com>
* RichTextBoxFinds.cs
* RichTextBoxScrollBars.cs
* RichTextBoxSelectionAttribute.cs
* RichTextBoxSelectionTypes.cs
* RichTextBoxStreamType.cs
* RichTextBoxWordPunctuations.cs
* RightToLeft.cs
* ScrollBars.cs
* ScrollButton.cs
* ScrollEventType.cs
* SecurityIDType.cs
* SelectionMode.cs
* Shortcut.cs
* SizeGripStyle.cs
* SortOrder.cs
* StatusBarPanelAutoSize.cs
* StatusBarPanelBorderStyle.cs
* StatusBarPanelStyle.cs
* StructFormat.cs
* TabAlignment.cs
* TabAppearance.cs
* TabDrawMode.cs
* TabSizeMode.cs
* TickStyle.cs
* ToolBarAppearance.cs
* ToolBarButtonStyle.cs
* ToolBarTextAlign.cs
* TreeViewAction.cs
* UICues.cs
* View.cs
* Added enums.
* All System.Windows.Forms enums complete with correct values.
 2002-5-8 Dennis Hayes <dennish@raytek.com>
Dennis Hayes <dennish@raytek.com>
Checking in new System.Windows.forms classes (a* to c*) for 
Jaak Simm <jaaksimm@firm.ee>
* AmbientProperties.cs
* Application.cs
* ApplicationContext.cs
* AxHost.cs
* BaseCollection.cs
* Binding.cs
* BindingContext.cs
* BindingManagerBase.cs
* BindingsCollection.cs
* Button.cs
* ButtonBase.cs
* CheckBox.cs
* CheckedListBox.cs
* Clipboard.cs
* ColorDialog.cs
* ColumnClickEventArgs.cs
* ColumnHeader.cs
* ComboBox.cs
* CommonDialog.cs
* ContainerControl.cs
* ContentsResizedEventArgs.cs
* ContextMenu.cs
* Control.cs
* ControlBindingsCollection.cs
* ControlEventArgs.cs
* ControlPaint.cs
* ConvertEventArgs.cs
* CreateParams.cs
* CurrencyManager.cs
* Cursor.cs
* CursorConverter.cs
* Cursors.cs
* Classes stubbed and commented out.

 2002-5-8 Dennis Hayes <dennish@raytek.com>
Dennis Hayes <dennish@raytek.com>
Checking in new System.Windows.forms classe for John Rebbeck <john@rebent.com>

* UserControl.cs
Stubbed and commented out

 2002-5-8 Dennis Hayes <dennish@raytek.com>
Dennis Hayes <dennish@raytek.com>
Checking in new System.Windows.forms classe for Paul Osman <paul.osmand@sympatico.ca>

* NavigateEventArgs.cs
* NodeLabelEditEventArgs.cs
* NotifyIcon.cs
Stubbed and commented out

2002-05-07 Daniel Carrera (dcarrera@math.utoronto.ca)
* Fixed a problem with an "extra byte" problem.  It caused an extra '?'
  at the beginning of some lines.
  Classes F-L and Q-R were updated.
* Added the classes SaveFileDialog.cs and Screen.cs

2002-5-7 Dennis Hayes <dennish@raytek.com>
* Added duplicate values
* System.Windows.Forms.Keys.cs

2002-5-7 Dennis Hayes <dennish@raytek.com>
* LeftRightAlignment.cs
* LinkBehavior.cs
* LinkState.cs
* ListViewAlignment.cs
* MdiLayout.cs
* MenuGlyph.cs
* MenuMerge.cs
* MessageBoxButtons.cs
* MessageBoxDefaultButton.cs
* MessageBoxIcon.cs
* MessageBoxOptions.cs
* MouseButtons.cs
* Orientation.cs
* PictureBoxSizeMode.cs
* PropertySort.cs
* Added some more enums. All have correct values.

* 5-5-2002 Dennis Hayes <dennish@raytek.com>
* Added enums
* 	GridItemType.cs
* 	HelpNavigator.cs
* 	HorizontalAlignment.cs
* 	ImeMode.cs
* 	ItemActivation.cs
* 	ItemBoundsPortion.cs
* 	Keys.cs
* All correct execpt for Keys.cs which is missing a half dozen
* duplicate entries that need correcting.

2002-05-02 Daniel Carrera (dcarrera@math.utoronto.ca)
* small update to classes [F-H]*
* added stubbed and commented out classes for [I-L]*
* added stubbed and commented out classes for R*
2002-4-23 Dennis Hayes <dennish@raytek.com>

	* AccessibleNavigation.cs :added to cvs with bad enum values, I will correct.
	* AccessibleSelection.cs :added with good enum values.
	* ContentsResizedEventHandler.cs :Added delagate
	* MainMenu.cs
	* AccessibleObject.cs
	* MeasureItemEventArgs :added stubbed classes. Commented out.
	* IButtonControl.cs : Added interface.
2002-4-23 Dennis Hayes <dennish@raytek.com>
* added stubbed and commented out classes from F to G *


2002-04-10  Duncan Mak  <duncan@ximian.com>

	* CaptionButton.cs:
	* CharacterCasing.cs: 
	* CheckState.cs: 
	* DataGridParentRowsLabelStyle.cs: 
	* DialogResult.cs: 
	* DockStyle.cs: 
	* DragAction.cs: 
	* DragDropEffects.cs: 
	* DrawItemState.cs: 
	* DrawMode.cs: 
	* ErrorBlinkStyle.cs: 
	* ErrorIconAlignment.cs: 
	* FlatStyle.cs: 
	* FormBorderStyle.cs: 
	* FormStartPosition.cs: 
	* FormWindowState.cs: 
	* FrameStyle.cs: Fixed enum layouts with EnumCheck.


